Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class ValidatorAction

    java.lang.Object
      |
      +--org.apache.commons.validator.ValidatorAction

All Implemented Interfaces:
  java.io.Serializable

public class ValidatorAction
extends java.lang.Object
implements java.io.Serializable

Contains the information to dynamically create and run a validation method. This is the class representation of a pluggable validator that can be defined in an xml file with the <validator> element. Note: The validation method is assumed to be thread safe.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Constructor Summary
`ValidatorAction()`

Method Summary
`java.lang.String` | `getClassname()` Gets the class of the validator action.
`java.util.List` | `getDependencyList()` Returns the dependent validator names as an unmodifiable `List`.
`java.lang.String` | `getDepends()` Gets the dependencies of the validator action as a comma separated list of validator names.
`java.lang.String` | `getJavascript()` Gets the Javascript equivalent of the java class and method associated with this action.
`java.lang.String` | `getJsFunctionName()` Gets the Javascript function name.
`java.lang.String` | `getMethod()` Gets the name of method being called for the validator action.
`java.lang.String` | `getMethodParams()` Gets the method parameters for the method.
`java.lang.String` | `getMsg()` Gets the message associated with the validator action.
`java.lang.String` | `getName()` Gets the name of the validator action.
`protected void` | `init()` Initialize based on set.
`boolean` | `isDependency(java.lang.String validatorName)` Checks whether or not the value passed in is in the depends field.
`protected void` | `loadJavascriptFunction()` Load the javascript function specified by the given path.
`void` | `setClassname(java.lang.String classname)` Sets the class of the validator action.
`void` | `setDepends(java.lang.String depends)` Sets the dependencies of the validator action.
`void` | `setJavascript(java.lang.String javascript)` Sets the Javascript equivalent of the java class and method associated with this action.
`void` | `setJsFunction(java.lang.String jsFunction)` Sets the fully qualified class path of the Javascript function.
`void` | `setJsFunctionName(java.lang.String jsFunctionName)` Sets the Javascript function name.
`void` | `setMethod(java.lang.String method)` Sets the name of method being called for the validator action.
`void` | `setMethodParams(java.lang.String methodParams)` Sets the method parameters for the method.
`void` | `setMsg(java.lang.String msg)` Sets the message associated with the validator action.
`void` | `setName(java.lang.String name)` Sets the name of the validator action.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidatorAction

    public ValidatorAction()

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the validator action.
  Returns:
    Validator Action name.

### setName

    public void setName(java.lang.String name)

  Sets the name of the validator action.
  Parameters:
    `name` - Validator Action name.

### getClassname

    public java.lang.String getClassname()

  Gets the class of the validator action.
  Returns:
    Class name of the validator Action.

### setClassname

    public void setClassname(java.lang.String classname)

  Sets the class of the validator action.
  Parameters:
    `classname` - Class name of the validator Action.

### getMethod

    public java.lang.String getMethod()

  Gets the name of method being called for the validator action.
  Returns:
    The method name.

### setMethod

    public void setMethod(java.lang.String method)

  Sets the name of method being called for the validator action.
  Parameters:
    `method` - The method name.

### getMethodParams

    public java.lang.String getMethodParams()

  Gets the method parameters for the method.
  Returns:
    Method's parameters.

### setMethodParams

    public void setMethodParams(java.lang.String methodParams)

  Sets the method parameters for the method.
  Parameters:
    `methodParams` - A comma separated list of parameters.

### getDepends

    public java.lang.String getDepends()

  Gets the dependencies of the validator action as a comma separated list of validator names.
  Returns:
    The validator action's dependencies.

### setDepends

    public void setDepends(java.lang.String depends)

  Sets the dependencies of the validator action.
  Parameters:
    `depends` - A comma separated list of validator names.

### getMsg

    public java.lang.String getMsg()

  Gets the message associated with the validator action.
  Returns:
    The message for the validator action.

### setMsg

    public void setMsg(java.lang.String msg)

  Sets the message associated with the validator action.
  Parameters:
    `msg` - The message for the validator action.

### getJsFunctionName

    public java.lang.String getJsFunctionName()

  Gets the Javascript function name. This is optional and can be used instead of validator action name for the name of the Javascript function/object.
  Returns:
    The Javascript function name.

### setJsFunctionName

    public void setJsFunctionName(java.lang.String jsFunctionName)

  Sets the Javascript function name. This is optional and can be used instead of validator action name for the name of the Javascript function/object.
  Parameters:
    `jsFunctionName` - The Javascript function name.

### setJsFunction

    public void setJsFunction(java.lang.String jsFunction)

  Sets the fully qualified class path of the Javascript function.

  This is optional and can be used instead of the setJavascript(). Attempting to call both `setJsFunction` and `setJavascript` will result in an `IllegalStateException` being thrown.

  If neither setJsFunction or setJavascript is set then validator will attempt to load the default javascript definition.

       Examples
         If in the validator.xml :
       #1:
            <validator name="tire"
                  jsFunction="com.yourcompany.project.tireFuncion">
           Validator will attempt to load com.yourcompany.project.validateTireFunction.js from
           its class path.
       #2:
          <validator name="tire">
            Validator will use the name attribute to try and load
               org.apache.commons.validator.javascript.validateTire.js
            which is the default javascript definition.

  Parameters:
    `jsFunction` - The Javascript function's fully qualified class path.

### getJavascript

    public java.lang.String getJavascript()

  Gets the Javascript equivalent of the java class and method associated with this action.
  Returns:
    The Javascript validation.

### setJavascript

    public void setJavascript(java.lang.String javascript)

  Sets the Javascript equivalent of the java class and method associated with this action.
  Parameters:
    `javascript` - The Javascript validation.

### init

    protected void init()

  Initialize based on set.

### loadJavascriptFunction

    protected void loadJavascriptFunction()

  Load the javascript function specified by the given path. For this implementation, the `jsFunction` property should contain a fully qualified package and script name, separated by periods, to be loaded from the class loader that created this instance. TODO if the path begins with a '/' the path will be intepreted as absolute, and remain unchanged. If this fails then it will attempt to treat the path as a file path. It is assumed the script ends with a '.js'.

### isDependency

    public boolean isDependency(java.lang.String validatorName)

  Checks whether or not the value passed in is in the depends field.
  Parameters:
    `validatorName` - Name of the dependency to check.
  Returns:
    Whether the named validator is a dependant.

### getDependencyList

    public java.util.List getDependencyList()

  Returns the dependent validator names as an unmodifiable `List`.
  Returns:
    List of the validator action's depedents.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.